# Thread_Per_Connection_Handler.h File Reference

`#include "ace/Task_T.h"`
`#include "tao/TAO_Export.h"`
`#include "tao/Versioned_Namespace.h"`

Include dependency graph for Thread_Per_Connection_Handler.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | TAO_Thread_Per_Connection_Handler
| Definition for the thread-per-connection strategy. More...

## Typedefs

typedef ACE_Task< ACE_NULL_SYNCH > | TAO_TPC_BASE

## Detailed Description

Id
  Thread_Per_Connection_Handler.h,v 1.9 2005/11/02 11:03:27 ossama Exp

Definition of a connection handler for the thread-per-connection strategy.

Author:
  Balachandran Natarajan <bala@dre.vanderbilt.edu>

## Typedef Documentation

typedef ACE_Task<ACE_NULL_SYNCH> TAO_TPC_BASE